## geos 3.3.1

=== CMakeLists.txt ===
#################################################################################
# $Id: CMakeLists.txt 3375 2011-05-22 23:34:04Z mloskot $
#
# Main GEOS build configuration file for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################
project(geos)
cmake_minimum_required(VERSION 2.6)

if(NOT CMAKE_VERSION)
    set(CMAKE_VERSION
      "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}")
endif()

# Location of custom CMake modules with macros used by GEOS
set(CMAKE_MODULE_PATH "${geos_SOURCE_DIR}/cmake/modules")

#################################################################################
# Setup GEOS version
#################################################################################

# GEOS release version
# GEOS C++ library SONAME will use these encoding ABI break at every release
set(VERSION_MAJOR 3)
set(VERSION_MINOR 3)
set(VERSION_PATCH 0)
set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")

# JTS_PORT is the version of JTS this release is bound to
set(JTS_PORT 1.10.0)
message(STATUS "Setting GEOS version ${VERSION} as port of JTS ${JTS_PORT}")

# GEOS C API version
set(CAPI_INTERFACE_CURRENT 7)
set(CAPI_INTERFACE_REVISION 1)
set(CAPI_INTERFACE_AGE 6)

math(EXPR CAPI_VERSION_MAJOR "${CAPI_INTERFACE_CURRENT} - ${CAPI_INTERFACE_AGE}")
set(CAPI_VERSION_MINOR ${CAPI_INTERFACE_AGE})
set(CAPI_VERSION_PATCH ${CAPI_INTERFACE_REVISION})
set(CAPI_VERSION "${CAPI_VERSION_MAJOR}.${CAPI_VERSION_MINOR}.${CAPI_VERSION_PATCH}")
message(STATUS "Setting GEOS C API version ${CAPI_VERSION}")

#################################################################################
# Check custom global options
#################################################################################

option(GEOS_ENABLE_TESTS
  "Set to OFF|ON (default) to control build of GEOS tests package" ON)

option(GEOS_ENABLE_INLINE
  "Set to OFF|ON (default) to control GEOS compilation with small functions inlining" ON)

if(NOT MSVC)
  option(GEOS_ENABLE_ASSERT
    "Set to ON|OFF (default) to build GEOS with assert() macro enabled" OFF) 
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  option(GEOS_ENABLE_FLOATSTORE
    "Set to OFF|ON (default) to control IEEE754 conformance and remove extra precision" ON)
endif()

if(APPLE)
  option(GEOS_ENABLE_MACOSX_FRAMEWORK
    "Set to OFF|ON (default) to build GEOS as a Mac OS X framework" ON)
  option(GEOS_ENABLE_MACOSX_FRAMEWORK_UNIXCOMPAT
    "Set to ON|OFF (default) to add Unix compatibility to the Mac OS X framework" OFF)
endif()

#################################################################################
# Setup C/C++ compiler options
#################################################################################

if(NOT MSVC_IDE)
  if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Debug CACHE STRING
      "Choose the type of build, options are: None Debug Release" FORCE)
  endif()
  message(STATUS "Setting GEOS build type - ${CMAKE_BUILD_TYPE}")
endif()

if(CMAKE_BUILD_TYPE STREQUAL Debug)
  add_definitions(-D_DEBUG)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)

  # General options
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic -ansi")

  # Numerical stability
  if(GEOS_ENABLE_FLOATSTORE)
    # Remove extra precision by forcing conformance to IEEE 754 rather than IEEE 854
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffloat-store")
  endif()
  message(STATUS
    "Forcing IEEE 754 using flag -ffloat-store - ${GEOS_ENABLE_FLOATSTORE}")

  # Warnings specification
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-long-long")

  # Turn on Position Independent Code generation for GEOS C shared library
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")

  # Enable glibc ISO C99 features (macros isfinite, isnan)
  set(CMAKE_REQUIRED_DEFINITIONS "${CMAKE_REQUIRED_DEFINITIONS} -D_ISOC99_SOURCE=1")

elseif(MSVC)
    
  # Set pedantic mode by default
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  string(REGEX REPLACE "/W[0-9]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

  if(MSVC80 OR MSVC90 OR MSVC10)

    # Option is to enable the /MP switch for Visual Studio 2005 or later
    option(GEOS_MSVC_ENABLE_MP
      "Set to ON to build GEOS with the /MP option (Visual Studio 2005 and above)." ON)
    mark_as_advanced(GEOS_MSVC_ENABLE_MP)
    if(GEOS_MSVC_ENABLE_MP)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
    endif()
    message(STATUS "Setting Visual Studio 2005+ option /MP to ${GEOS_MSVC_ENABLE_MP}")
    
    add_definitions(-D_SCL_SECURE_NO_WARNINGS)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    add_definitions(-DNOMINMAX)
  endif()

endif()

if(GEOS_ENABLE_INLINE)
  add_definitions(-DGEOS_INLINE)
endif()
message(STATUS
  "Setting GEOS compilation with small functions inlining - ${GEOS_ENABLE_INLINE}")

if(NOT MSVC)
  if(GEOS_ENABLE_ASSERT)
    string(REGEX REPLACE "[-/]D.*NDEBUG" "-U NDEBUG"
      CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")
  endif()
  message(STATUS
    "Setting GEOS compilation with assert() macro enabled - ${GEOS_ENABLE_ASSERT}")
endif()

#################################################################################
# Setup C/C++ library features
#################################################################################

include(TestForSTDNamespace)
if (CMAKE_NO_STD_NAMESPACE)
  message(FATAL_ERROR "Detected compiler does not support std namespace on STL classes")
endif()

# check header files
include(CheckIncludeFiles)

check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(inttypes.h HAVE_INTTYPES_H)
check_include_files(ieeefp.h HAVE_IEEEFP_H)

# check types and sizes
include(CheckTypeSize)

if(MSVC)
  check_type_size("__int64" HAVE_INT64_T_64)
else()
  if(HAVE_STDINT_H OR HAVE_INTTYPES_H)
    check_type_size("int64_t" HAVE_INT64_T_64)
  else()
    check_type_size("long long int" HAVE_LONG_LONG_INT_64)
  endif()
endif()

# check functions and macros
include(CheckPrototypeExists)
include(CheckSymbolExists)

check_prototype_exists(isnan cmath HAVE_STD_ISNAN)
if(NOT HAVE_STD_ISNAN)
  if(MSVC)
    check_prototype_exists(_isnan float.h HAVE_ISNAN)
  elseif(APPLE)
    check_prototype_exists(__isnand math.h HAVE_ISNAND_XCODE)
    if(NOT HAVE_ISNAND_XCODE)
      check_prototype_exists(__inline_isnand math.h HAVE_INLINE_ISNAND_XCODE)
    endif()
  else()
    check_symbol_exists(isnan math.h HAVE_ISNAN)
  endif()
endif()

check_prototype_exists(isfinite cmath HAVE_STD_ISFINITE)

if(NOT HAVE_STD_ISFINITE)
  if(MSVC)
    check_prototype_exists(_finite float.h HAVE_FINITE)
  else()
    #CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
    check_symbol_exists(isfinite math.h HAVE_ISFINITE)
  endif()
endif()

################################################################################
# Setup build directories
#################################################################################

# Put the libaries and binaries that get built into directories at the
# top of the build tree rather than in hard-to-find leaf
# directories. This simplifies manual testing and the use of the build
# tree rather than installed Boost libraries.
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

################################################################################
# Setup include directories
#################################################################################

# for including GEOS C++ API headers
include_directories(${geos_SOURCE_DIR}/include)

# for including build-specific GEOS C API headers
include_directories(${geos_BINARY_DIR}/capi)

# for including build-specific version.h, platform.h and geos_c.h
include_directories(${geos_BINARY_DIR}/include)

#################################################################################
# Setup checks and generate config headers
#################################################################################

# TODO: output to CMAKE_CURRENT_BINARY_DIR instead of CMAKE_SOURCE_DIR

if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h)
  message(STATUS "Disabling existing ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h")

  if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} EQUAL 6)
    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h)
    set(PH_RESULT "removed")
  else()
    file(RENAME
      ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h
      ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h.disabled)
      set(PH_RESULT "renamed")
  endif()

  message(STATUS "Disabling existing ${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h - ${PH_RESULT}")
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/geos/platform.h.cmake 
  ${CMAKE_CURRENT_BINARY_DIR}/include/geos/platform.h)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/geos/version.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/include/geos/version.h @ONLY)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/capi/geos_c.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/capi/geos_c.h @ONLY)

#################################################################################
# Configure tests
#################################################################################

if(GEOS_ENABLE_TESTS)

 # Include CTest support
 include(CTest)
 enable_testing()

  # Define "make check" as alias for "make test"
  add_custom_target(check COMMAND ctest)

endif()

#################################################################################
# Configure subdirectories
#################################################################################

add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(capi)
add_subdirectory(tests)
add_subdirectory(tools)

#################################################################################
# Install/Uninstall
#################################################################################

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake") 

#################################################################################
# DEBUG settings - TODO: make a summary

message(STATUS "CMake ${CMAKE_VERSION} successfully configured ${PROJECT_NAME} using ${CMAKE_GENERATOR} generator")

#message(STATUS "XXX: CMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}")
#message(STATUS "XXX: CMAKE_CXX_FLAGS_DEBUG=${CMAKE_CXX_FLAGS_DEBUG}")
#message(STATUS "XXX: CMAKE_CXX_FLAGS_RELEASE=${CMAKE_CXX_FLAGS_RELEASE}")

=== capi/CMakeLists.txt ===
#################################################################################
# $Id: CMakeLists.txt 3485 2011-09-23 15:59:11Z strk $
#
# GEOS C library build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

if(WIN32)
    add_definitions("-DGEOS_DLL_EXPORT=1")
endif()

set(geos_c_SOURCES
  geos_c.cpp
  geos_ts_c.cpp)

file(GLOB geos_capi_HEADERS ${CMAKE_BINARY_DIR}/capi/*.h) # fix source_group issue

if(NOT APPLE AND NOT GEOS_ENABLE_MACOSX_FRAMEWORK) 
  # if building OS X framework, CAPI built into C++ library 
  add_library(geos_c SHARED ${geos_c_SOURCES}) 

  target_link_libraries(geos_c geos-static)

  # TODO: Enable SOVERSION property
  set_target_properties(geos_c
    PROPERTIES
    VERSION ${CAPI_VERSION}
    CLEAN_DIRECT_OUTPUT 1)

if(APPLE) 
  set_target_properties(geos PROPERTIES 
  BUILD_WITH_INSTALL_RPATH TRUE 
  INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}") 
endif() 
endif() 

#################################################################################
# Installation
#################################################################################

if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/geos_c.h
    DESTINATION GEOS.framework/Versions/${VERSION_MAJOR}/Headers)
  install(CODE "execute_process(COMMAND sed -E -i \"\" \"s,# *include[[:space:]]+<geos/,#include <GEOS/,g\" \"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/GEOS.framework/Versions/${VERSION_MAJOR}/Headers/geos_c.h\")")
else()
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/geos_c.h
    DESTINATION include)
endif()

if(NOT APPLE AND NOT GEOS_ENABLE_MACOSX_FRAMEWORK) 
  install(TARGETS geos_c
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib)
endif()

#################################################################################
# Group source files for IDE source explorers (e.g. Visual Studio)
#################################################################################

source_group("Header Files" FILES ${geos_capi_HEADERS})

=== include/CMakeLists.txt ===
#################################################################################
# $Id: CMakeLists.txt 3375 2011-05-22 23:34:04Z mloskot $
#
# GEOS C++ library build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

#################################################################################
# Install/Uninstall
#################################################################################

# There is a builtin cmake way to get headers in the right location
# for OS X framework, but it's not practical this complex tree

if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
  set(installdest GEOS.framework/Versions/${VERSION_MAJOR}/Headers)
else()
  set(installdest include/geos)
endif()


install(FILES geos.h
  DESTINATION ${installdest})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/geos/platform.h
  DESTINATION ${installdest})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/geos/version.h
  DESTINATION ${installdest})

install(DIRECTORY geos/
  DESTINATION ${installdest}
  FILES_MATCHING
  PATTERN "*.h"
  PATTERN "*.inl"
  PATTERN ".svn" EXCLUDE)

# Some post-processing for the framework
# luckily GEOS uses header subdir already, just need to change case
if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
  install(CODE 
    "execute_process(COMMAND find \"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/${installdest}\" -name *.* -print0 
    COMMAND xargs -0 sed -E -i \"\" \"s,# *include[[:space:]]+<geos/,#include <GEOS/,g\")")
  install(CODE 
    "execute_process(COMMAND ln -sfh Versions/Current/Headers \"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/GEOS.framework/Headers\")")
endif()

=== src/CMakeLists.txt ===
#################################################################################
# $Id: CMakeLists.txt 3485 2011-09-23 15:59:11Z strk $
#
# GEOS C++ library build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

file(GLOB_RECURSE geos_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
file(GLOB_RECURSE geos_ALL_HEADERS ${CMAKE_SOURCE_DIR}/include/*.h) # fix source_group issue

if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
  # OS X frameworks don't have static libs
  # also 1 binary, so include CAPI here
  # and, make name all caps

  set(geos_c_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/../capi/geos_c.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../capi/geos_ts_c.cpp)

  add_library(GEOS SHARED ${geos_SOURCES} ${geos_c_SOURCES})

  math(EXPR CVERSION "${VERSION_MAJOR} + 1") 
 	# VERSION = current version, SOVERSION = compatibility version 
  set_target_properties(GEOS
    PROPERTIES
    CLEAN_DIRECT_OUTPUT 1
    FRAMEWORK 1
    VERSION "${CVERSION}.${VERSION_MINOR}.${VERSION_PATCH}" 
 	  SOVERSION ${CVERSION} 
    FRAMEWORK_VERSION ${VERSION_MAJOR}
    BUILD_WITH_INSTALL_RPATH TRUE
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}"
    MACOSX_FRAMEWORK_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.in"
    MACOSX_FRAMEWORK_BUNDLE_VERSION "GEOS ${VERSION}"
    MACOSX_FRAMEWORK_SHORT_VERSION_STRING ${VERSION}
    MACOSX_FRAMEWORK_IDENTIFIER org.osgeo.geos)

  install(TARGETS GEOS FRAMEWORK DESTINATION .)

  if(GEOS_ENABLE_MACOSX_FRAMEWORK_UNIXCOMPAT)
    # Unix compatibility option, provides typical bin/lib/include folder
    # structure for framework-challenged projects

    set(GEOS_FWDIR "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/GEOS.framework")
    set(GEOS_FWDIR_VER "${GEOS_FWDIR}/Versions/${VERSION_MAJOR}")
    install(CODE "execute_process(COMMAND mkdir -p \"${GEOS_FWDIR_VER}/unix/bin\")")
    install(CODE "execute_process(COMMAND mkdir -p \"${GEOS_FWDIR_VER}/unix/include\")")
    install(CODE "execute_process(COMMAND mkdir -p \"${GEOS_FWDIR_VER}/unix/lib\")")
    install(CODE "execute_process(COMMAND ln -sfh ../../Headers \"${GEOS_FWDIR_VER}/unix/include/geos\")")
    install(CODE "execute_process(COMMAND ln -sf ../../Headers/geos_c.h \"${GEOS_FWDIR_VER}/unix/include/geos_c.h\")")
    install(CODE "execute_process(COMMAND ln -sf ../../GEOS \"${GEOS_FWDIR_VER}/unix/lib/libgeos.dylib\")")
    install(CODE "execute_process(COMMAND ln -sf ../../GEOS \"${GEOS_FWDIR_VER}/unix/lib/libgeos_c.dylib\")")
    install(CODE "execute_process(COMMAND ln -sfh Versions/Current/unix \"${GEOS_FWDIR}/unix\")")
  endif()

else()

  add_library(geos SHARED ${geos_SOURCES} ${geos_ALL_HEADERS})
  add_library(geos-static STATIC ${geos_SOURCES} ${geos_ALL_HEADERS})

# TODO: Enable SOVERSION property
  set_target_properties(geos
    PROPERTIES
    DEFINE_SYMBOL GEOS_DLL_EXPORT
    VERSION ${VERSION}
    CLEAN_DIRECT_OUTPUT 1)

  set_target_properties(geos-static
    PROPERTIES
    OUTPUT_NAME "geos"
    PREFIX "lib"
    CLEAN_DIRECT_OUTPUT 1)

if(APPLE)
  set_target_properties(geos
    PROPERTIES
    BUILD_WITH_INSTALL_RPATH TRUE
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}")

endif()
endif()

#################################################################################
# Installation
#################################################################################

if(NOT APPLE AND NOT GEOS_ENABLE_MACOSX_FRAMEWORK)
  install(TARGETS geos geos-static
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib)
endif()

#################################################################################
# Group source files for IDE source explorers (e.g. Visual Studio)
#################################################################################

file(GLOB top_HEADERS ${CMAKE_SOURCE_DIR}/include/*.h)
source_group("Header Files" FILES ${top_HEADERS})
file(GLOB geos_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/*.h)
source_group("Header Files\\geos" FILES ${geos_HEADERS})
### geos/algorithm
file(GLOB geos_algorithm_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/algorithm/*.h)
source_group("Header Files\\geos\\algorithm" FILES ${geos_algorithm_HEADERS})
file(GLOB geos_algorithm_distance_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/algorithm/distance/*.h)
source_group("Header Files\\geos\\algorithm\\distance" FILES ${geos_algorithm_distance_HEADERS})
file(GLOB geos_algorithm_locate_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/algorithm/locate/*.h)
source_group("Header Files\\geos\\algorithm\\locate" FILES ${geos_algorithm_locate_HEADERS})
### geos/geom
file(GLOB geos_geom_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/geom/*.h)
source_group("Header Files\\geos\\geom" FILES ${geos_geom_HEADERS})
file(GLOB geos_geom_prep_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/geom/prep/*.h)
source_group("Header Files\\geos\\geom\\prep" FILES ${geos_geom_prep_HEADERS})
file(GLOB geos_geom_util_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/geom/util/*.h)
source_group("Header Files\\geos\\geom\\util" FILES ${geos_geom_util_HEADERS})
### geos/geomgraph
file(GLOB geos_geomgraph_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/geomgraph/*.h)
source_group("Header Files\\geos\\geomgraph" FILES ${geos_geomgraph_HEADERS})
file(GLOB geos_geomgraph_index_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/geomgraph/index/*.h)
source_group("Header Files\\geos\\geomgraph\\index" FILES ${geos_geomgraph_index_HEADERS})
### geos/index
file(GLOB geos_index_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/index/*.h)
source_group("Header Files\\geos\\index" FILES ${geos_index_HEADERS})
file(GLOB geos_index_bintree_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/index/bintree/*.h)
source_group("Header Files\\geos\\index\\bintree" FILES ${geos_index_bintree_HEADERS})
file(GLOB geos_index_chain_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/index/chain/*.h)
source_group("Header Files\\geos\\index\\chain" FILES ${geos_index_chain_HEADERS})
file(GLOB geos_index_intervalrtree_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/index/intervalrtree/*.h)
source_group("Header Files\\geos\\index\\intervalrtree" FILES ${geos_index_intervalrtree_HEADERS})
file(GLOB geos_index_quadtree_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/index/quadtree/*.h)
source_group("Header Files\\geos\\index\\quadtree" FILES ${geos_index_quadtree_HEADERS})
file(GLOB geos_index_strtree_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/index/strtree/*.h)
source_group("Header Files\\geos\\index\\strtree" FILES ${geos_index_strtree_HEADERS})
file(GLOB geos_index_sweepline_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/index/sweepline/*.h)
source_group("Header Files\\geos\\index\\sweepline" FILES ${geos_index_sweepline_HEADERS})
### geos/io
file(GLOB geos_io_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/io/*.h)
source_group("Header Files\\geos\\io" FILES ${geos_io_HEADERS})
### geos/linearref
file(GLOB geos_linearref_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/linearref/*.h)
source_group("Header Files\\geos\\linearref" FILES ${geos_linearref_HEADERS})
### geos/noding
file(GLOB geos_noding_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/noding/*.h)
source_group("Header Files\\geos\\noding" FILES ${geos_noding_HEADERS})
file(GLOB geos_noding_snapround_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/noding/snapround/*.h)
source_group("Header Files\\geos\\noding\\snapround" FILES ${geos_noding_snapround_HEADERS})
### geos/operation 
file(GLOB geos_operation_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/*.h)
source_group("Header Files\\geos\\operation" FILES ${geos_operation_HEADERS})
file(GLOB geos_operation_buffer_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/buffer/*.h)
source_group("Header Files\\geos\\operation\\buffer" FILES ${geos_operation_buffer_HEADERS})
file(GLOB geos_operation_distance_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/distance/*.h)
source_group("Header Files\\geos\\operation\\distance" FILES ${geos_operation_distance_HEADERS})
file(GLOB geos_operation_linemerge_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/linemerge/*.h)
source_group("Header Files\\geos\\operation\\linemerge" FILES ${geos_operation_linemerge_HEADERS})
file(GLOB geos_operation_overlay_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/overlay/*.h)
source_group("Header Files\\geos\\operation\\overlay" FILES ${geos_operation_overlay_HEADERS})
file(GLOB geos_operation_overlay_snap_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/overlay/snap/*.h)
source_group("Header Files\\geos\\operation\\overlay\\snap" FILES ${geos_operation_overlay_snap_HEADERS})
file(GLOB geos_operation_overlay_validate_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/overlay/validate/*.h)
source_group("Header Files\\geos\\operation\\overlay\\validate" FILES ${geos_operation_overlay_validate_HEADERS})
file(GLOB geos_operation_polygonize_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/polygonize/*.h)
source_group("Header Files\\geos\\operation\\polygonize" FILES ${geos_operation_polygonize_HEADERS})
file(GLOB geos_operation_predicate_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/predicate/*.h)
source_group("Header Files\\geos\\operation\\predicate" FILES ${geos_operation_predicate_HEADERS})
file(GLOB geos_operation_relate_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/relate/*.h)
source_group("Header Files\\geos\\operation\\relate" FILES ${geos_operation_relate_HEADERS})
file(GLOB geos_operation_sharedpaths_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/sharedpaths/*.h)
source_group("Header Files\\geos\\operation\\sharedpaths" FILES ${geos_operation_sharedpaths_HEADERS})
file(GLOB geos_operation_union_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/union/*.h)
source_group("Header Files\\geos\\operation\\union" FILES ${geos_operation_union_HEADERS})
file(GLOB geos_operation_union_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/union/*.h)
source_group("Header Files\\geos\\operation\\union" FILES ${geos_operation_union_HEADERS})
file(GLOB geos_operation_valid_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/operation/valid/*.h)
source_group("Header Files\\geos\\operation\\valid" FILES ${geos_operation_valid_HEADERS})
### geos/planargraph
file(GLOB geos_planargraph_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/planargraph/*.h)
source_group("Header Files\\geos\\planargraph" FILES ${geos_planargraph_HEADERS})
file(GLOB geos_planargraph_algorithm_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/planargraph/algorithm/*.h)
source_group("Header Files\\geos\\planargraph\\algorithm" FILES ${geos_planargraph_algorithm_HEADERS})
### geso/precision
file(GLOB geos_precision_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/precision/*.h)
source_group("Header Files\\geos\\precision" FILES ${geos_precision_HEADERS})
### geso/simplify
file(GLOB geos_simplify_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/simplify/*.h)
source_group("Header Files\\geos\\simplify" FILES ${geos_simplify_HEADERS})
### geso/util
file(GLOB geos_util_HEADERS ${CMAKE_SOURCE_DIR}/include/geos/util/*.h)
source_group("Header Files\\geos\\util" FILES ${geos_util_HEADERS})

=== tests/bigtest/CMakeLists.txt ===
#################################################################################
# $Id$
#
# CMake configuration for GEOS big test
#
# Copyright (C) 2011 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

set(STATUS_MESSAGE "Enable GEOS large geometry tests build")
set(STATUS_RESULT "OFF")

if(GEOS_ENABLE_TESTS)

  include_directories(${CMAKE_CURRENT_SOURCE_DIR})
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/io/markup)

  add_executable(bug234 bug234.cpp)

  if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK) 
    target_link_libraries(bug234 GEOS) 
  else() 
    target_link_libraries(bug234 geos) 
  endif() 

  add_executable(TestSweepLineSpeed
	TestSweepLineSpeed.cpp
	GeometryTestFactory.cpp
	bigtest.h)
  if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
    target_link_libraries(TestSweepLineSpeed GEOS)
  else()
    target_link_libraries(TestSweepLineSpeed geos)
  endif()

  add_test(bug234 ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/bug234)
  add_test(TestSweepLineSpeed ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/TestSweepLineSpeed)

  set(STATUS_RESULT "ON")
endif()

message(STATUS "${STATUS_MESSAGE} - ${STATUS_RESULT}")

=== debian/changelog ===
geos (3.3.1-1) unstable; urgency=low

  * New upstream major release.
    (closes: #648611)
  * Changed the C/C++ chain for development. See NEWS file for an explanation.
    Thanks strk for a useful discussion about that.
    (closes: #643658)
  * Patches refreshed and merged with upstream changes.
  * Added patch geos-config to fix library paths. This is coherent with
    upstream approach too.
  * Moved the C++ headers under libgeos++-dev automagically and added a break 
    against the old libgeos-dev all-in-one package.
  * The libgeos++-dev package depends on libgeos-dev for a couple of reasons:
      - a common header (geos/extern.h)
      - a program using C++ API could mixup C and C++ APIs so better being
        safe about that.
  * Merged NMU change in debian/rules to fix armhf FTBS.
    (closes: #641387)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 22 Feb 2012 14:20:57 +0100

geos (3.2.2-3) unstable; urgency=low

  * New patch: swig. Fixed for strong version detection in ac_pkg_swig.m4.
    Merged from 3.3 series. Thanks strk. (closes: #631819)
  * Removed obsolete python build-deps, because now the suggested binding
    is via shapely. (closes: #616823)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 18 Jul 2011 12:23:11 +0200

geos (3.2.2-2) unstable; urgency=low

  * Policy bumped to 3.9.2, no changes.
  * Fixed previous changelog entry.
  * Added CoordinateSequenceFactory.h patch to fix a missing declaration.
    (closes: #624949)
  * Added Bintree.cpp, Node.cpp, MonotoneChainBuilder.h, AbstractNode.cpp,
    and other patches to fix a missing cstddef header file inclusion in 
    some files and use of std namespace. This is required in current
    default gcc flavor.
  * Use -fpermessive at building time to work around some minor compatibility
    problems which prevent a successuful building.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 25 May 2011 15:33:37 +0200

=== debian/control ===
Source: geos
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 8), doxygen, swig, ruby, ruby-dev
Standards-Version: 3.9.2
Homepage: http://trac.osgeo.org/geos/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/geos.git
Vcs-Git: git://git.debian.org/git/pkg-grass/geos

Package: libgeos-dev
Section: libdevel
Architecture: any
Depends: libgeos-c1 (= ${binary:Version}), ${misc:Depends}
Suggests: libgdal-doc
Description: Geometry engine for GIS - Development files
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL. 
 .
 This package contains the headers and libraries needed to 
 develop programs using GEOS.

Package: libgeos++-dev
Section: libdevel
Architecture: any
Depends: libgeos-3.3.1 (= ${binary:Version}), libgeos-dev, ${misc:Depends}
Suggests: libgdal-doc
Breaks: libgeos-dev (<< 3.3.1-1~)
Description: Geometry engine for GIS - C++ development files
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL. 
 .
 This package contains the headers and libraries needed to 
 develop programs using GEOS in C++. Note that third-parties
 programs should use the stable C API instead of the 
 unstable C++ one.

Package: libgeos-c1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Geometry engine for Geographic Information Systems - C Library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union,
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C library. A C++ library is provided
 by the libgeos-* package.

Package: libgeos-3.3.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Geometry engine for Geographic Information Systems - C++ Library
 GEOS provides a spatial object model and fundamental geometric 
 functions. It implements the geometry model defined in the 
 OpenGIS Consortium Simple Features Specification for SQL. 
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union, 
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C++ library. A stable C library is provided
 by the libgeos-c* package and should be preferred by third-parties
 programs.

Package: libgeos-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libgeos-dev (= ${binary:Version})
Homepage: http://download.osgeo.org/geos/doxygen/
Description: Documentation for the GEOS GIS geometry engine library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the documentation for the GEOS API.

Package: libgeos-ruby1.8
Section: ruby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GEOS bindings for Ruby
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the Ruby bindings for GEOS.

Package: libgeos-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libgeos-3.3.1 (= ${binary:Version}), libgeos-c1 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for the GEOS library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the debugging symbols for C/C++ GEOS library.

## geos 3.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #################################################################################
-# $Id: CMakeLists.txt 3375 2011-05-22 23:34:04Z mloskot $
+# $Id: CMakeLists.txt 3564 2012-01-08 13:46:07Z strk $
 #
 # Main GEOS build configuration file for CMake build system
 #
@@ -30,17 +30,17 @@
 # GEOS C++ library SONAME will use these encoding ABI break at every release
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 3)
-set(VERSION_PATCH 0)
+set(VERSION_PATCH 2dev)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
 # JTS_PORT is the version of JTS this release is bound to
-set(JTS_PORT 1.10.0)
+set(JTS_PORT 1.12.0)
 message(STATUS "Setting GEOS version ${VERSION} as port of JTS ${JTS_PORT}")
 
 # GEOS C API version
-set(CAPI_INTERFACE_CURRENT 7)
-set(CAPI_INTERFACE_REVISION 1)
-set(CAPI_INTERFACE_AGE 6)
+set(CAPI_INTERFACE_CURRENT 8)
+set(CAPI_INTERFACE_REVISION 2)
+set(CAPI_INTERFACE_AGE 7)
 
 math(EXPR CAPI_VERSION_MAJOR "${CAPI_INTERFACE_CURRENT} - ${CAPI_INTERFACE_AGE}")
 set(CAPI_VERSION_MINOR ${CAPI_INTERFACE_AGE})
@@ -94,7 +94,7 @@
 if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
 
   # General options
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic -ansi")
+  set(CMAKE_CXX_FLAGS "-pedantic -ansi ${CMAKE_CXX_FLAGS}")
 
   # Numerical stability
   if(GEOS_ENABLE_FLOATSTORE)
@@ -156,11 +156,6 @@
 # Setup C/C++ library features
 #################################################################################
 
-include(TestForSTDNamespace)
-if (CMAKE_NO_STD_NAMESPACE)
-  message(FATAL_ERROR "Detected compiler does not support std namespace on STL classes")
-endif()
-
 # check header files
 include(CheckIncludeFiles)

=== tests/CMakeLists.txt ===
 #################################################################################
# $Id: CMakeLists.txt 3168 2011-01-25 23:20:25Z mloskot $
#
# GEOS tests build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

add_subdirectory(unit)
add_subdirectory(xmltester)
add_subdirectory(bigtest)

# TODO: add other test programs

=== tools/CMakeLists.txt ===
#################################################################################
# $Id: CMakeLists.txt 3375 2011-05-22 23:34:04Z mloskot $
#
# GEOS tools (geos-config) build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

if(UNIX)

  if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK AND GEOS_ENABLE_MACOSX_FRAMEWORK_UNIXCOMPAT)
    set(installdest GEOS.framework/Versions/${VERSION_MAJOR}/unix/bin)
    set(prefix ${CMAKE_INSTALL_PREFIX}/GEOS.framework/Versions/${VERSION_MAJOR}/unix)
  elseif(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
    # just a dummy so installdest not set
    # want geos-config only for Mac unix build or framework+unixcompat
  else()
    set(installdest bin)
    set(prefix ${CMAKE_INSTALL_PREFIX})
  endif()

  set(exec_prefix ${prefix}/bin)
  set(libdir ${prefix}/lib)
  
  if(installdest)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/geos-config.in
                   ${CMAKE_CURRENT_BINARY_DIR}/geos-config @ONLY)
  
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/geos-config
      DESTINATION ${installdest}
      PERMISSIONS
      OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif()

endif()

=== tests/unit/CMakeLists.txt ===
#################################################################################
# $Id: CMakeLists.txt 3382 2011-05-30 09:41:41Z mloskot $
#
# GEOS unit tests build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

set(STATUS_MESSAGE "Enable GEOS Unit Tests build")
set(STATUS_RESULT "OFF")

if(GEOS_ENABLE_TESTS)
  include_directories(${CMAKE_SOURCE_DIR}/capi)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/tut)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR})
  
  file(GLOB_RECURSE geos_unit_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
  
  add_executable(geos_unit ${geos_unit_SOURCES})
  if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
    target_link_libraries(geos_unit GEOS)
 	else()
    target_link_libraries(geos_unit geos geos_c)
 	endif()

  add_test(geos_unit ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/geos_unit)

  set(STATUS_RESULT "ON")
endif()

message(STATUS "${STATUS_MESSAGE} - ${STATUS_RESULT}")

=== tests/xmltester/CMakeLists.txt ===
#################################################################################
# $Id: CMakeLists.txt 3382 2011-05-30 09:41:41Z mloskot $
#
# GEOS XML tests runner build configuration for CMake build system
#
# Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation. 
# See the COPYING file for more information.
#
#################################################################################

set(STATUS_MESSAGE "Enable GEOS XML Tester build")
set(STATUS_RESULT "OFF")

if(GEOS_ENABLE_TESTS)

  include_directories(${CMAKE_CURRENT_SOURCE_DIR})
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/tinyxml)

  set(simplewkttester_SOURCES SimpleWKTTester.cpp)

  set(xmltester_SOURCES
    XMLTester.cpp
    tinyxml/tinyxml.cpp
    tinyxml/tinystr.cpp
    tinyxml/tinyxmlerror.cpp
    tinyxml/tinyxmlparser.cpp
    BufferResultMatcher.cpp
    SingleSidedBufferResultMatcher.cpp)

  add_executable(simplewkttester ${simplewkttester_SOURCES})
  if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
    target_link_libraries(simplewkttester GEOS)
 	else()
    target_link_libraries(simplewkttester geos)
 	endif()

  add_executable(xmltester ${xmltester_SOURCES})
  if(APPLE AND GEOS_ENABLE_MACOSX_FRAMEWORK)
    target_link_libraries(xmltester GEOS)
 	else()
    target_link_libraries(xmltester geos)
  endif()

  set(XMLTESTS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/tests)
  set(SAVE_XMLTESTS
    ${XMLTESTS_DIR}/testLeaksBig.xml
    ${XMLTESTS_DIR}/split.xml
    ${XMLTESTS_DIR}/hexwkb.xml
    ${XMLTESTS_DIR}/test.xml
    ${XMLTESTS_DIR}/linemerge.xml
    ${XMLTESTS_DIR}/TestIsValid.xml
    ${XMLTESTS_DIR}/robustness.xml
    ${XMLTESTS_DIR}/buffer.xml
    ${XMLTESTS_DIR}/test.xml
    ${XMLTESTS_DIR}/singlesidedbuffer.xml
    ${XMLTESTS_DIR}/bug176.xml
    ${XMLTESTS_DIR}/bug188.xml
    ${XMLTESTS_DIR}/bug244.xml
    ${XMLTESTS_DIR}/bug275.xml
    ${XMLTESTS_DIR}/general/TestBoundary.xml
    ${XMLTESTS_DIR}/general/TestBuffer.xml
    ${XMLTESTS_DIR}/general/TestBufferMitredJoin.xml
    ${XMLTESTS_DIR}/general/TestCentroid.xml
    ${XMLTESTS_DIR}/general/TestConvexHull.xml
    ${XMLTESTS_DIR}/general/TestConvexHull-big.xml
    ${XMLTESTS_DIR}/general/TestFunctionAAPrec.xml
    ${XMLTESTS_DIR}/general/TestFunctionAA.xml
    ${XMLTESTS_DIR}/general/TestFunctionLAPrec.xml
    ${XMLTESTS_DIR}/general/TestFunctionLA.xml
    ${XMLTESTS_DIR}/general/TestFunctionLLPrec.xml
    ${XMLTESTS_DIR}/general/TestFunctionLL.xml
    ${XMLTESTS_DIR}/general/TestFunctionPA.xml
    ${XMLTESTS_DIR}/general/TestFunctionPLPrec.xml
    ${XMLTESTS_DIR}/general/TestFunctionPL.xml
    ${XMLTESTS_DIR}/general/TestFunctionPP.xml
    ${XMLTESTS_DIR}/general/TestInteriorPoint.xml
    ${XMLTESTS_DIR}/general/TestRectanglePredicate.xml
    ${XMLTESTS_DIR}/general/TestRelateAA.xml
    ${XMLTESTS_DIR}/general/TestRelateLA.xml
    ${XMLTESTS_DIR}/general/TestRelateLL.xml
    ${XMLTESTS_DIR}/general/TestRelatePL.xml
    ${XMLTESTS_DIR}/general/TestRelateAC.xml
    ${XMLTESTS_DIR}/general/TestRelateLC.xml
    ${XMLTESTS_DIR}/general/TestRelatePA.xml
    ${XMLTESTS_DIR}/general/TestRelatePP.xml
    ${XMLTESTS_DIR}/general/TestSimple.xml
    ${XMLTESTS_DIR}/general/TestValid.xml
    ${XMLTESTS_DIR}/general/TestValid2.xml
    ${XMLTESTS_DIR}/general/TestValid2-big.xml
    ${XMLTESTS_DIR}/general/TestWithinDistance.xml
    ${XMLTESTS_DIR}/stmlf/stmlf-cases-20061020.xml
    ${XMLTESTS_DIR}/stmlf/stmlf-cases-20070119.xml
    ${XMLTESTS_DIR}/robust/TestRobustOverlayFixed.xml
    ${XMLTESTS_DIR}/robust/TestRobustRelate.xml
    ${XMLTESTS_DIR}/fme.xml
    ${XMLTESTS_DIR}/TestBufferExternal.xml
    ${XMLTESTS_DIR}/TestBufferExternal2.xml
    ${XMLTESTS_DIR}/heisenbugs.xml
    ${XMLTESTS_DIR}/badguy3.xml
    ${XMLTESTS_DIR}/hole_from_shell.xml
    ${XMLTESTS_DIR}/hole_red.xml
    ${XMLTESTS_DIR}/safe/16595.xml
    ${XMLTESTS_DIR}/safe/16596.xml)

  add_test(xmltester ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/xmltester ${SAVE_XMLTESTS})

  set(STATUS_RESULT "ON")
endif()

message(STATUS "${STATUS_MESSAGE} - ${STATUS_RESULT}")

=== debian/changelog ===
geos (3.3.3-1) unstable; urgency=low

  * New upstream bugfixing version. This is useful because correctly
    support new topology-enabled for Postgis 2.0.
  * Policy bumped to 3.9.3, no changes required.
  * Debhelper level set to 9.
  * Patch geos-config revised, partially merged upstream.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 23 May 2012 15:30:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper (>= 8), doxygen, swig, ruby, ruby-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), doxygen, swig, ruby, ruby-dev
+Standards-Version: 3.9.3
 Homepage: http://trac.osgeo.org/geos/
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/geos.git
 Vcs-Git: git://git.debian.org/git/pkg-grass/geos
@@ -25,7 +25,7 @@
 Package: libgeos++-dev
 Section: libdevel
 Architecture: any
-Depends: libgeos-3.3.1 (= ${binary:Version}), libgeos-dev, ${misc:Depends}
+Depends: libgeos-3.3.3 (= ${binary:Version}), libgeos-dev, ${misc:Depends}
 Suggests: libgdal-doc
 Breaks: libgeos-dev (<< 3.3.1-1~)
 Description: Geometry engine for GIS - C++ development files
@@ -59,7 +59,7 @@
  This package contains the C library. A C++ library is provided
  by the libgeos-* package.
 
-Package: libgeos-3.3.1
+Package: libgeos-3.3.3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -109,7 +109,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libgeos-3.3.1 (= ${binary:Version}), libgeos-c1 (= ${binary:Version}), ${misc:Depends}
+Depends: libgeos-3.3.3 (= ${binary:Version}), libgeos-c1 (= ${binary:Version}), ${misc:Depends}
 Description: Debugging symbols for the GEOS library
  GEOS provides a spatial object model and fundamental geometric
  functions. It implements the geometry model defined in the
